/// <amd-module name="@cxl/ui/calendar-event.js" />
import { Component } from './component.js';
export interface CalendarEventData {
    start: Date;
    end: Date;
    backgroundColor?: string;
    color?: string;
    description?: string;
    title: string | HTMLElement;
}
export declare function calendarEventHost($: Component & {
    events: CalendarEventData[];
}): import("@cxl/ui/rx.js").Observable<import("@cxl/ui/registable.js").RegistableEvent<CalendarEvent>, "none">;
export declare function renderEvent(event: CalendarEventData, days: number): CalendarEventItem;
export declare class CalendarEvent extends Component {
    start: Date;
    end: Date;
}
export declare class CalendarEventItem extends Component {
    disabled: boolean;
    touched: boolean;
    edge?: 'left' | 'right' | 'both';
    allowresize: boolean;
    value: CalendarEventData | undefined;
    split?: CalendarEventItem;
}
