/// <amd-module name="@cxl/ui/spinner.js" />
import { Component } from './component.js';
import { SurfaceColorValue } from './theme.js';
/**
 * Spinners are used to indicate that the app is performing an action that the user needs to wait on.
 *
 * @example
 * <cxl-spinner aria-label="Spinner Demo"></cxl-spinner>
 */
export declare class Spinner extends Component {
    color?: SurfaceColorValue;
}
