import { Component } from './component.js';
/**
 * This component creates a custom link element with bindable href and target attributes.
 */
export declare class A extends Component {
    /**
     * The target attribute specifies where to open the linked document.
     */
    target: '_blank' | '';
    /**
     * The href attribute specifies the URL of the linked resource.
     */
    href: string;
}
