import { Component } from './component.js';
export declare class BlogIframe extends Component {
    reset: string;
    src: string;
    sandbox?: string;
}
export declare class BlogExample extends Component {
    protected spinner: HTMLElement;
    protected iframe: BlogIframe;
    protected getSource(): string;
    libraries?: string;
    sandbox?: string;
}
export declare class BlogDemo extends Component {
    view: 'desktop' | 'mobile' | 'source';
    libraries?: string;
    formatter?: (src: string) => string;
    header?: string;
}
export declare class BlogCode extends Component {
    formatter?: (src: string) => string;
}
export declare class BlogSocial extends Component {
    tweetid?: string;
}
export declare class BlogTags extends Component {
}
