import { Component } from './component.js';
import type { InputBase } from './input-base.js';
/**
 * A component that displays a placeholder text inside an input field.
 *
 * @demo
    <cxl-field>
        <cxl-label>Input with Placeholder</cxl-label>
        <cxl-input-placeholder>Placeholder</cxl-input-placeholder>
        <cxl-input></cxl-input>
    </cxl-field>
 */
export declare class InputPlaceholder extends Component {
    input?: InputBase;
}
