# @cxl/ui 
	
[![npm version](https://badge.fury.io/js/%40cxl%2Fui.svg)](https://badge.fury.io/js/%40cxl%2Fui)

High-performance Web Components

## Project Details

-   Branch Version: [4.0.17](https://npmjs.com/package/@cxl/ui/v/4.0.17)
-   License: SEE LICENSE IN LICENSE.txt
-   Documentation: [Link](https://coaxial.dev)
-   Report Issues: [Github](https://github.com/cxlio/cxl/issues)

## Installation

	npm install @cxl/ui

## Features

-   Lightweight and Fast.
-   No dependecies.
-   Framework Agnostic.
-   Flexible Theming.

## Browser Support

-   Chrome 49+
-   Firefox 61+
-   Safari 11.1+
-   iOS Webkit 10.3+
-   Edge 17+

## Usage

### Quick Start

This is all you need to get started.

```html
<!doctype html>
<script src="https://cdn.jsdelivr.net/npm/@cxl/ui"></script>
<cxl-application>
	<cxl-appbar>
		<cxl-appbar-title>Application Title</cxl-appbar-title>
	</cxl-appbar>
	<cxl-content>
		<cxl-t h1>Hello World</cxl-t>
	</cxl-content>
</cxl-application>
```

### See More

More demo content and examples available [here](https://cxlio.github.ui/cxl/ui-demo)</a>
