/// <amd-module name="@cxl/ui/hr.js" />
import { Component } from './component.js';
import { Spacing } from './theme.js';
/**
 * Horizontal Rule component. Used to divide content in menus and lists.
 *
 * @demo
 * <cxl-list visible>
 *   <cxl-item>Item 1</cxl-item>
 *   <cxl-hr></cxl-hr>
 *   <cxl-item>Item 2</cxl-item>
 * </cxl-list>
 *
 */
export declare class Hr extends Component {
    pad?: Spacing;
}
