/// <amd-module name="@cxl/ui/include.js" />
import { Component } from './component.js';
/**
 * The Include component offers a convenient way to dynamically insert content from
 * a pre-defined HTML template into your application's DOM.
 *
 * @beta
 */
export declare class Include extends Component {
    /**
     * This mandatory attribute specifies the ID of the existing HTML template element that should be included.
     * The cxl-include component searches for a matching element with this ID within the same document.
     */
    templateid?: string;
}
