/// <amd-module name="@cxl/ui/selectable-multiple.js" />
import { Observable } from './rx.js';
import type { SelectableBase, SelectableTarget } from './selectable.js';
interface SelectableMultiHost<T> extends SelectableBase<T> {
    selected: Set<T>;
}
export declare function selectableHostMultiple<TargetT extends SelectableTarget>(host: SelectableMultiHost<TargetT>, getInput: Observable<HTMLElement & {
    value: unknown;
}>): Observable<TargetT, "none">;
export {};
