import { Component } from './component.js';
export interface SvgNode {
    style?: string;
    className?: string;
}
export declare const Svg: (p: Partial<{
    viewBox: string;
    width: number;
    height: number;
    alt: string;
    children: Node | Node[];
    src: string;
    preserveAspectRatio: string;
} & SvgNode>) => SVGSVGElement;
export declare const Path: (p: Partial<{
    fill: string;
    d: string;
} & SvgNode>) => SVGPathElement;
export declare const Circle: (p: Partial<{
    cx: string;
    cy: string;
    r: string;
} & SvgNode>) => SVGCircleElement;
export declare class SvgImage extends Component {
    src?: string;
}
